# tin-refresh-jquery - jQuery上拉无限加载、下拉刷新插件

[![npm version](https://img.shields.io/badge/npm-v1.0.0-blue.svg)](https://www.npmjs.com/package/tin-refresh-jquery)

tin-refresh-jquery 是基于jQuery的上拉无限加载、下拉刷新插件

# 使用

- 引入dist中的 tin-refresh-jquery.js 和 tin-refresh-jquery.css 即可
- 使用NPM 安装，npm install tin-refresh-jquery

# 上拉无限加载

#### html 代码
```html
<body ontouchstart class="tin-ddr">
    <div class="tin-ddr-container">
        <div class="tin-ddr-down">下拉刷新</div>
        <div class="tin-ddr-up">释放刷新</div>
        <div class="tin-ddr-refresh">
            <i class="tin-loading tin-ddr-loading"></i>
            <span class="tin-ddr-tip">正在加载</span>
        </div>
    </div>
</body>
```

#### JS 代码
```javascript
$(document.body).dropDownRefresh().on("tin-ddr-callback", function() {
    setTimeout(function() {
    	//执行你的代码
        $('#time').text(new Date());
        $(document.body).dropDownRefreshOver();
    }, 2000);
});
```

# LICENSE

[MIT](https://opensource.org/licenses/MIT)，尽情享受开源代码。

# 展示
![上拉无限加载](http://oiru5sqmm.bkt.clouddn.com/github/shangla.gif)
![下拉刷新](http://oiru5sqmm.bkt.clouddn.com/github/xiala.gif)


